Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.tree
Interface TreeNode

All Known Subinterfaces:
  MutableTreeNode

All Known Implementing Classes:
  AbstractDocument.AbstractElement, DefaultMutableTreeNode

public interface TreeNode

Defines the requirements for an object that can be used as a tree node in a JTree.

For further information and examples of using tree nodes, see How to Use Tree Nodes in The Java Tutorial.

Method Summary
`Enumeration` | `children()` Returns the children of the receiver as an `Enumeration`.
`boolean` | `getAllowsChildren()` Returns true if the receiver allows children.
`TreeNode` | `getChildAt(int childIndex)` Returns the child `TreeNode` at index `childIndex`.
`int` | `getChildCount()` Returns the number of children `TreeNode`s the receiver contains.
`int` | `getIndex(TreeNode node)` Returns the index of `node` in the receivers children.
`TreeNode` | `getParent()` Returns the parent `TreeNode` of the receiver.
`boolean` | `isLeaf()` Returns true if the receiver is a leaf.

Method Detail

### getChildAt

    public TreeNode getChildAt(int childIndex)

  Returns the child `TreeNode` at index `childIndex`.

### getChildCount

    public int getChildCount()

  Returns the number of children `TreeNode`s the receiver contains.

### getParent

    public TreeNode getParent()

  Returns the parent `TreeNode` of the receiver.

### getIndex

    public int getIndex(TreeNode node)

  Returns the index of `node` in the receivers children. If the receiver does not contain `node`, -1 will be returned.

### getAllowsChildren

    public boolean getAllowsChildren()

  Returns true if the receiver allows children.

### isLeaf

    public boolean isLeaf()

  Returns true if the receiver is a leaf.

### children

    public Enumeration children()

  Returns the children of the receiver as an `Enumeration`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.